.footer {
    color: $white;
    font-size: rem(16);
    line-height: rem(24);
    background: $blue url("../img/footer__bg.webp") 50% 50% no-repeat;
    background-size: cover;

    &__primary {
        padding-top: rem(20);
        padding-bottom: rem(24);
    }

    &__secondary {
        position: relative;
        padding-top: rem(25);
        padding-bottom: rem(30);

        &:before {
            top: 0;
            left: 0;
            right: 0;
            content: '';
            height: 1px;
            position: absolute;
            background: rgba(184, 184, 184, 0.2);
        }

        &__item {
            opacity: 0.8;
            margin-bottom: rem(10);
        }
    }

    &__logo {
        display: block;
        width: rem(146);
        margin-bottom: rem(24);
    }

    &__link {
        color: $white;
        text-decoration: none;

        &:hover {
            color: $white;
            text-decoration: underline;
        }
    }

    &__nav {
        padding-bottom: rem(8);
    }

    &--dark {
        background: #242425;
    }
    
    @include media-breakpoint-up(md) {
        padding-bottom: rem(60);

        &__primary {
            padding-top: rem(50);
        }

        &__logo {
            width: rem(220);
        }

        &__secondary {
            display: flex;
            flex-wrap: wrap;
            align-items: center;


            &__item {
                margin-right: rem(40);

                &:first-child {
                    width: 100%;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: 0;

        &__primary {
            padding-top: rem(70);
            padding-bottom: rem(32);
            display: flex;
            justify-content: space-between;
        }

        &__logo {
            margin-bottom: rem(60);
        }

        &__secondary {
            padding-top: rem(40);
            padding-bottom: rem(50);
            white-space: nowrap;
            flex-wrap: nowrap;
            justify-content: center;

            &__item {
                width: auto;
                margin-bottom: 0;

                &:first-child {
                    width: auto;
                }
            }
        }
    }
}

.footer-nav {
    display: flex;
    flex-wrap: wrap;

    &__item {
        width: 50%;
        margin-bottom: rem(16);
    }

    &__link {
        color: $white;
        text-decoration: none;

        &:hover {
            color: $white;
            text-decoration: underline;
        }
    }

    @include media-breakpoint-up(md) {
        flex-wrap: nowrap;
        align-items: center;
        padding-bottom: rem(24);

        &__item {
            width: auto;
            margin: 0 rem(24) 0 0;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: 0;
    }
}

.footer-social {
    position: relative;
    padding: rem(25) 0;
    margin-bottom: rem(24);
    display: flex;
    align-items: center;
    justify-content: space-between;

    &:after,
    &:before {
        left: 0;
        right: 0;
        z-index: 1;
        content: '';
        height: 1px;
        position: absolute;
        background: rgba(184, 184, 184, 0.2);
    }

    &:after {
        top: 0;
    }

    &:before {
        bottom: 0;
    }

    &__title {
        font-size: rem(16);
        line-height: rem(24);
        margin-right: rem(16);
    }

    &__main {
        display: flex;
        align-items: center;
    }

    &__link {
        fill: $white;
        width: rem(40);
        height: rem(40);
        border-radius: 50%;
        margin-left: rem(10);
        background: rgba(255,255,255,0.4);
        transition: .3s;

        &:hover {
            fill: $blue;
            background: rgba(255,255,255,1);
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {
        justify-content: flex-start;
    }

    @include media-breakpoint-up(xl) {
        padding: 0;
        margin-bottom: rem(20);
        justify-content: flex-end;

        &:after,
        &:before {
            display: none;
        }

        &__title {
            display: none;
        }
    }
}

.footer-contact {

    &__group {

        &:first-child {
            margin-bottom: rem(16);
        }
    }

    &__title {
        font-weight: 500;
        margin-bottom: rem(8);
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(8);
        }
    }

    &__link {
        color: $white;
        text-decoration: underline;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    &__phone {
        color: $white;
        white-space: nowrap;
        text-decoration: none;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;

        &__group {
            width: 50%;
        }
    }

    @include media-breakpoint-up(xl) {
        text-align: right;

        &__group {
            width: auto;
            margin-left: rem(30);

            &:first-child {
                margin-bottom: 0;
            }
        }

        &__title {
            white-space: nowrap;
        }
    }
}
